// AjudEDlg.cpp : implementation file
//

#include "stdafx.h"
#include "ajuda.h"
#include "AjudEDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAjudEDlg dialog


CAjudEDlg::CAjudEDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CAjudEDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CAjudEDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CAjudEDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAjudEDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CAjudEDlg, CDialog)
	//{{AFX_MSG_MAP(CAjudEDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAjudEDlg message handlers

BOOL CAjudEDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	
	   // tenta carregar bitmaps
	if ( ! m_oBmp.LoadBitmaps ( _T ( "BMP_PEIXE" ), NULL, NULL ) ||
        ! m_oBmpEx.LoadBitmaps ( _T ( "BMP_EXPEIXE" ), NULL, NULL ) ) {

		TRACE0 ( "Impossível ler bitmaps.\n ");
		AfxThrowResourceException ();
	}
	
	// define qual controle da caixa de dialogo vai ter qual bitmap
	VERIFY ( m_oBmp.SubclassDlgItem ( IDC_AJUDA_PEIXE, this ) );
	VERIFY ( m_oBmpEx.SubclassDlgItem ( IDC_AJUDA_EXPEIXE, this ) );

	// muda tamanho dos controles para caber os bitmaps
	m_oBmp.SizeToContent ();
	m_oBmpEx.SizeToContent ();

	
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
